Performs a single turn interaction, but uses server-side streaming to deliver incremental results and partial responses as they are generated.
HTTP request
POST https://foodorderingaiagent.googleapis.com/v1beta/{config.session=projects/*/locations/*/sessions/*}:streamProcessOrder
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
config.session |
Required. The session for the order. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "config": { "session": string, "store": string, "laneId": string, "enableEchoCancellation": boolean, "daypartId": string, "userInfo": { "preferredName": string, "paymentInfo": { object ( |
| Fields | |
|---|---|
config.store |
Required. The store the order is being placed for. Format: |
config.laneId |
Optional. The id of a specifc drive through lane. |
config.enableEchoCancellation |
Optional. Whether to enable echo cancellation for the session. If enabled, the client should provide the customerAudio and crewAudio in the AudioInput. |
config.daypartId |
Optional. Daypart of the food menu, including breakfast, lunch, dinner, etc. This is used to determine the menu to use for the order. |
config.userInfo |
Optional. The personal information of the end user shared with the agent. |
config.orderType |
Optional. Deprecated: Use initialOrder.fulfillment.fulfillment_type instead. The type of order to be placed. |
config.initialOrder |
Optional. The initial order before starting the agent session. If provided, the agent will use it as the initial order state. |
config.featureGate |
Optional. The feature gates for the session. This is used to enable or disable features for the session. |
config.initialUtterance |
Optional. The initial utterance from the client to kick off the conversation. If provided, the agent will use this as the first user utterance, and will not start with a greeting message. |
config.clientAppInfo |
Optional. The information about the client application and device environment. |
config.mode |
Optional. The mode of the session. |
config.channelType |
Optional. The type of channel used for agent communication. |
config.enableListenOnlyDualChannel |
Optional. Whether to enable listen-only dual channel for the session. If enabled, the client should provide the customerAudio and crewAudio in the AudioInput. |
config.testSessionStartTime |
Optional. The start time of the session, used for testing or evaluation purposes. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
config.fulfillmentMethod |
Optional. The fulfillment method for the session. |
config.clientEnv |
Optional. The environment on the client side (e.g., "qa", "uat", "preprod"). |
turnType |
Optional. Explicit indicator of the request's position in the session lifecycle. Allows clients to deterministically control when initial session setup variables are injected. |
| The input from the client. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
textInput |
The text input from the client. |
audioInput |
The audio input from the client. |
eventInput |
The event input from the client. |
clientExecutionResult |
The result of a client execution request. |
blobInput |
Generic binary data input. |
dtmfInput |
The DTMF input from the client. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains a stream of BidiProcessOrderResponse instances.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.